Bug 492002 - [KMS] dual head looks weird
[KMS] dual head looks weird
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 18:15 EDT by ritz
Modified: 2009-11-12 00:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 00:14:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
display, as seen by gnome-screenshot (156.04 KB, image/png)
2009-03-24 18:15 EDT, ritz
no flags Details
display, as seen by me (72.06 KB, image/jpeg)
2009-03-24 18:16 EDT, ritz
no flags Details
dmes, and lspci (50.16 KB, application/octet-stream)
2009-03-24 18:23 EDT, ritz
no flags Details
xorg log (88.29 KB, application/octet-stream)
2009-03-24 18:23 EDT, ritz
no flags Details

  None (edit)
Description ritz 2009-03-24 18:15:46 EDT
Created attachment 336558 [details]
display, as seen by gnome-screenshot

Description of problem:
When using dual head with kms and intel, the second screen appears to be weird. 
         _
  [ 1 ] |2|
        |_|

 1 -> LVDS1, laptop display
 2 -> VGA1, external display, rotated left

The screen starts from lower end of the screen, and scolls backs. The mouse appears to be rotated. Display works fine, when screen 2 is not rotated.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-1.fc11.i586
kernel-2.6.29-0.258.rc8.git2.fc11.i586
xorg-x11-server-Xorg-1.6.0-13.fc11.i586

How reproducible:
always

Steps to Reproduce:
$ xrandr  --output VGA1  --auto --left-of VGA1 --rotate left
  
Actual results:
twisted display

Expected results:
normal display

Additional info:
screenshots attached
Comment 1 ritz 2009-03-24 18:16:37 EDT
Created attachment 336560 [details]
display, as seen by me
Comment 2 ritz 2009-03-24 18:23:04 EDT
Created attachment 336562 [details]
dmes, and lspci

as seen from log
=======================================================
[ INFO: possible circular locking dependency detected ]
2.6.29-0.258.rc8.git2.fc11.i586 #1
-------------------------------------------------------
Xorg/2792 is trying to acquire lock:
 (&mm->mmap_sem){----}, at: [<c04909ef>] might_fault+0x48/0x85

but task is already holding lock:
 (&dev->struct_mutex){--..}, at: [<f7e33cfc>] i915_gem_pwrite_ioctl+0x155/0x324 [i915]

which lock already depends on the new lock.
Comment 3 ritz 2009-03-24 18:23:36 EDT
Created attachment 336563 [details]
xorg log
Comment 4 ritz 2009-03-25 13:18:13 EDT
seems to be an issue with kms, nomodeset helps.

I still see kernel error wrt i915_gem_pwrite_ioctl. seems to be an kernel issue, update the same.
Comment 5 Adam Williamson 2009-04-16 16:50:43 EDT
Thanks for the report.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2009-06-09 08:36:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matěj Cepl 2009-11-05 13:23:36 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 ritz 2009-11-12 00:14:42 EST
kool, is fixed atleast on F12.

Note You need to log in before you can comment on or make changes to this bug.